package com.gqy.document.domain;

import com.gqy.common.annotation.Excel;
import com.gqy.common.core.domain.BaseEntity;

/**
 * 产品规格对象 dc_spec
 */
public class DcSpec extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 产品规格主键 */
    @Excel(name = "产品规格主键")
    private Integer ps_id;

    /** 产品表主键 */
    @Excel(name = "产品表主键")
    private Integer ps_p_id;

    /** 规格编号 */
    @Excel(name = "规格编号")
    private String ps_no;

    /** 规格名 */
    @Excel(name = "规格名")
    private String ps_name;

    /** 文档块id */
    @Excel(name = "文档块id")
    private Integer dcb_id;



    public Integer getPs_id() {
        return ps_id;
    }

    public void setPs_id(Integer ps_id) {
        this.ps_id = ps_id;
    }

    public Integer getPs_p_id() {
        return ps_p_id;
    }

    public void setPs_p_id(Integer ps_p_id) {
        this.ps_p_id = ps_p_id;
    }

    public String getPs_no() {
        return ps_no;
    }

    public void setPs_no(String ps_no) {
        this.ps_no = ps_no;
    }

    public String getPs_name() {
        return ps_name;
    }

    public void setPs_name(String ps_name) {
        this.ps_name = ps_name;
    }

    public Integer getDcb_id() {
        return dcb_id;
    }

    public void setDcb_id(Integer dcb_id) {
        this.dcb_id = dcb_id;
    }


}
