package com.gqy.system.mapper;

import com.gqy.document.domain.DcPsParam;

import java.util.List;
import java.util.Map;

public interface DcPsParamMapper {

    /**
     * 查询产品参数列表
     * @param
     * @return
     */
    public List<Map<String, Object>> selectDcPsParamAndSpec(Map<String, Object> params);


    /**
     * 查询产品参数列表
     */
    public List<DcPsParam> selectDcPsParamList(DcPsParam dcPsParam);

    /**
     * 查询产品参数
     */
    public DcPsParam selectDcPsParamByPspId(Integer psp_id);

    /**
     * 新增产品参数
     */
    public int insertDcPsParam(DcPsParam dcPsParam);

    /**
     * 修改产品参数
     */
    public int updateDcPsParam(DcPsParam dcPsParam);

    /**
     * 删除产品参数
     */
    public int deleteDcPsParamByPspId(Integer psp_id);

    /**
     * 批量删除产品参数
     */
    public int deleteDcPsParamByPspIds(Integer[] psp_ids);

    /**
     * 新增删除方法
     * @param psp_mode
     * @return
     */
    public int deleteDcPsParamByPspMode(String psp_mode);


}
