package com.gqy.document.domain;

import com.gqy.common.annotation.Excel;
import com.gqy.common.core.domain.BaseEntity;

/**
 * 系统信息实体类
 */
public class DcSystem extends BaseEntity {

    @Excel(name = "系统id")
    private Long sysId;

    /** 系统类别编号 */
    private String sysNo;

    /** 系统名称 */
    @Excel(name = "系统名称")
    private String sysName;

    /** 系统备注 */
    @Excel(name = "系统备注")
    private String sysRemark;

    /** 产品级 */
    @Excel(name = "产品级")
    private String sysProducts;

    /** 状态  0正常,1停用,2删除   状态*/
    private Integer sysStatus;


    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;



    public Integer getSysStatus() {
        return sysStatus;
    }
    public void setSysStatus(Integer sysStatus) {
        this.sysStatus = sysStatus;
    }

    public String getSysNo() {
        return sysNo;
    }

    public void setSysNo(String sysNo) {
        this.sysNo = sysNo;
    }

    public Long getSysId() {
        return sysId;
    }

    public void setSysId(Long sysId) {
        this.sysId = sysId;
    }

    public String getSysName() {
        return sysName;
    }

    public void setSysName(String sysName) {
        this.sysName = sysName;
    }

    public String getSysRemark() {
        return sysRemark;
    }

    public void setSysRemark(String sysRemark) {
        this.sysRemark = sysRemark;
    }

    public String getSysProducts() {
        return sysProducts;
    }

    public void setSysProducts(String sysProducts) {
        this.sysProducts = sysProducts;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
}
