package com.gqy.document.domain;

import com.gqy.common.core.domain.BaseEntity;

import java.util.Date;


/**
 * 文档产品关联对象 dc_product_document
 *
 * @author mzhu
 */
public class ProductDocument extends BaseEntity {


    private static final long serialVersionUID = 1L;

    /** 关联ID */
    private Long id;

    /** 文档ID */
    private Long document_id;

    /** 产品ID */
    private Long product_id;

    /** 创建时间 */
    private Date create_time;

    /** 状态（5-使用中 6-已停用 4-已删除） */
    private Integer status;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDocument_id() {
        return document_id;
    }

    public void setDocument_id(Long document_id) {
        this.document_id = document_id;
    }

    public Long getProduct_id() {
        return product_id;
    }

    public void setProduct_id(Long product_id) {
        this.product_id = product_id;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
