package com.gqy.document.mapper;

import com.gqy.document.domain.DcSpec;

import java.util.List;

public interface DcSpecMapper {

    /**
     * 查询产品规格
     */
    public DcSpec selectDcSpecById(Integer psId);

    /**
     * 查询产品规格列表
     */
    public List<DcSpec> selectDcSpecList(DcSpec dcSpec);

    /**
     * 新增产品规格
     */
    public int insertDcSpec(DcSpec dcSpec);

    /**
     * 修改产品规格
     */
    public int updateDcSpec(DcSpec dcSpec);

    /**
     * 删除产品规格
     * @param psId
     * @return
     */
    public int deleteDcSpecById(Integer psId);



}
