package com.gqy.document.mapper;

import com.gqy.document.domain.ProductDocument;

import java.util.List;

/**
 * 文档产品关联对象
 */
public interface ProductDocumentMapper {

    /**
     * 删除文档关联的产品信息
     *
     * @param documentId 文档ID
     * @return 结果
     */
    public int deleteProductDocumentByDocId(Long documentId);

    /**
     * 批量新增文档产品关联
     *
     * @param list 文档产品关联列表
     * @return 结果
     */
    public int batchInsertProductDocument(List<ProductDocument> list);

}
