package com.gqy.document.mapper;

import com.gqy.document.domain.ProjectDocument;

import java.util.List;

public interface ProjectDocumentMapper {
    /**
     * 批量新增项目文档关联
     *
     * @param list 项目文档关联列表
     * @return 结果
     */
    public int batchInsertProjectDocument(List<ProjectDocument> list);


    /**
     * 删除文档关联的项目信息
     *
     * @param docId 文档ID
     * @return 结果
     */
    public int deleteProjectDocumentByDocId(Long docId);


}
