package com.gqy.document.mapper;

import com.gqy.document.domain.DcWork;

import java.util.List;
/**
 * 工程Mapper接口
 */
public interface WorkMapper {
    /**
     * 查询工程列表
     */
    public List<DcWork> selectWorkList(DcWork work);

    /**
     * 新增工程
     */
    public int insertWork(DcWork work);

    /**
     * 修改工程
     */
    public int updateWork(DcWork work);

    /**
     * 查询工程详细信息
     *
     * @param wkId 工程主键
     * @return 工程信息
     */
    public DcWork selectWorkById(Long wkId);
}
