package com.gqy.document.service.impl;

import com.gqy.document.domain.ProjectCategory;
import com.gqy.document.mapper.ProjectCategoryMapper;
import com.gqy.document.service.IProjectCategoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 项目分类Service业务层处理
 *
 */
@Service
public class ProjectCategoryServiceImpl implements IProjectCategoryService {

    @Autowired
    private ProjectCategoryMapper projectCategoryMapper;

    /**
     * 新增项目分类
     *
     * @param projectCategory 项目分类信息
     * @return 结果
     */
    public int insertProjectCategory(ProjectCategory projectCategory) {
        projectCategory.setStatus(5);
        return projectCategoryMapper.insertProjectCategory(projectCategory);
    }
}
